Subject: RE: 1/25/24 PCEF Committee meeting follow-up: RESPONSE REQUESTED
From: "Baraso, Sam" <[email-masked]>
To: "Baraso, Sam" <[email-masked]>
Cc: "Gilmore, Rachel" <[email-masked]>, "Lister, Cady" <[email-masked]>, "Valdez, Jaimes" <[email-masked]>, "Oliveira, Donnie" <[email-masked]>, "Stover, Elizabeth" <[email-masked]>, "Reed, Magan" <[email-masked]>, Ciara Pressler <[email-masked]>, Tracy Smith <[email-masked]>, City African American Network <[email-masked]>
Date: Fri, 26 Jan 2024 21:07:08 -0800

Sorry folks &#8211; below is the correct link to the doodle poll (thanks for the catch DeAngelo):

https://doodle.com/meeting/participate/id/el8XE61e

-Sam

From: Baraso, Sam &lt;[email-masked]&gt;
Sent: Friday, January 26, 2024 5:27 PM
To: Baraso, Sam &lt;[email-masked]&gt;
Cc: Gilmore, Rachel &lt;[email-masked]&gt;; Lister, Cady &lt;[email-masked]&gt;; Valdez, Jaimes &lt;[email-masked]&gt;; Oliveira, Donnie &lt;[email-masked]&gt;; Stover, Elizabeth &lt;[email-masked]&gt;; Reed, Magan &lt;[email-masked]&gt;; Ciara Pressler &lt;[email-masked]&gt;; Tracy Smith &lt;[email-masked]&gt;; City African American Network &lt;[email-masked]&gt;
Subject: 1/25/24 PCEF Committee meeting follow-up: RESPONSE REQUESTED

Hi PCEF Committee,

Thank you all for hanging with us yesterday evening. Below is some immediate follow up so that we can keep the ball moving:

  1.  Doodle poll for an additional PCEF Committee meeting before 2/6 (please complete by COB of Monday, 1/29):
        *   https://doodle.com/meeting/participate/id/el8XE61etook

  2.  Follow up questions:
        *   We took down your outstanding questions that came in from the meeting yesterday evening and are following up with Bureaus to get answers by next Thursday, 2/1.
        *   We&#8217;ve asked Bureaus to send us answers as soon as they can.  We will send you what responses we&#8217;ve compiled prior to your Wednesday, 1/31 meeting.
        *   In the meantime, please continue sending us questions (as several of you already have) and we will do our best to get them answered prior to your second meeting.

As I reflected on our meeting yesterday evening, I want to acknowledge that we could have spent 3+ hours on each of the 21 programs that were highlighted. We fully expect each of these proposals will have room for improvement and opportunities to shape them if they are deployed in the community.

Thank you all for everything you do. When we started the Climate Investment Plan process, we knew that 9 months would be an ambitious lift and I am incredibly proud of the outcome of our work there. It took significant staff and community capacity to both make it what it was and get it passed (unanimously) at City Council. As part of that we skipped a community responsive grant round for an entire year, contributing to uncertainty for many community programs as they awaited our funding opportunities. This was not ideal, and I wish we had done it differently. This is to say that we can always do better, and there will be future opportunities still ahead. I know this process is far from ideal and it we will create positive outcomes for the climate, for our priority populations and the community more broadly.

I hope you all have a restful weekend.

Best,
Sam

--
Sam Baraso, he/him/his
Program Manager, Portland Clean Energy Fund
City of Portland | Bureau of Planning &amp; Sustainability
1810 SW 5th Ave., Suite 710 | Portland, OR 97201
C: 503-307-2399 | W: Portland.gov/bps

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services, please contact 503-823-7700 or use City TTY 503-823-6868